<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">
</head>

<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Header start  -->
<header class="header">
    <div class="container d-flex align-items-center">
        <a class="logo" href="/">
            <img src="images/VP.png" alt="">
        </a>
        <nav class="primary-menu text-md-right">
            <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
            <ul>
                <li><a href="/">Home</a></li>
                <li><a href="/send-money-process">Send Money</a></li>
                <li><a href="/about">About</a></li>
                <li><a href="/contact">Contact</a></li>
                <li class="has-menu-child pro-menu-drop" sec:authorize="isAuthenticated()">
                    <a href="#">
                        <div class="header-pro-thumb">
                            <img class="rounded-circle" th:unless="${user.picture==null}"
                                 th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                            <img class="rounded-circle" th:if="${user.picture==null}"
                                 src="images/profile-img.jpeg" alt="">
                        </div>
                        <div th:text="${user.username}"></div>
                        <i class="fas fa-chevron-down"></i>
                    </a>
                    <ul class="dropdown-menu-md sub-menu profile-drop">

                        <li class="nav__create-new-profile-link">
                            <a href="/profile">
                                <span>View personal profile</span>
                            </a>
                        </li>
                        <li class="divider"></li>
                        <li class="nav__dropdown-menu-items">
                            <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                    </ul>
                </li>
            </ul>
        </nav>
    </div>
</header>
<!-- Header end -->

<!-- Admin Hero section-->
<div class="hero-section">
</div>
<!-- Admin End of Hero section-->

<!-- Admin Content Section  -->
<div id="content" class="py-4">
    <div class="container">
        <div class="row">

            <!-- Left sidebar -->
            <aside class="col-lg-3 sidebar">
                <div class="widget admin-widget p-0">
                    <div class="Profile-menu">
                        <ul class="nav secondary-nav">
                            <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                    class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                            <li class="nav-item"><a class="nav-link" href="/profile"><i class="fab fa-autoprefixer"></i>
                                My Profile</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                    class="fab fa-autoprefixer"></i> All users</a></li>
                            <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                    class="fas fa-university"></i> Wallets & Cards</a></li>
                            <li class="nav-item"><a class="nav-link" href="/deposit-money"><i class="fas fa-plus"></i>
                                Deposit Money to wallet</a></li>
                            <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                    class="far fa-paper-plane"></i> Send Money to friend</a></li>
                            <li class="nav-item"><a class="nav-link" href="/transactions"><i class="fas fa-list-ul"></i>
                                My Transactions</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                     href="/all-transactions"><i
                                    class="fas fa-list-ul"></i> All Transactions</a></li>
                        </ul>
                    </div>
                </div>

            </aside>
            <!-- Left Panel End -->

            <!-- Middle Panel  -->
            <div class="col-lg-9">
                <div class="profile-content">
                    <h3 class="admin-heading bg-offwhite">Recent Activity</h3>

                    <!-- Admin Heading Title  -->
                    <div class="transaction-title bg-offwhite">
                        <div class="items">
                            <div class="row">
                                <div class="col text-center">Date</div>
                                <div class="col text-center">From</div>
                                <div class="col text-center">To</div>
                                <div class="col text-center">Type</div>
                                <div class="col text-center">Amount</div>
                                <div class="col text-center">Details</div>
                            </div>
                        </div>
                    </div>
                    <!-- Admin Heading Title End -->

                    <!-- Transaction List -->
                    <div class="transaction-area">
                        <div class="items" th:each="transaction : ${transactionList}"
                             th:if="${!transactionList.isEmpty()}">
                            <div class="row">
                                <div class="col text-center">
                                    <span class="name"
                                          th:text="${#dates.format(transaction.date, 'dd-MM-yyyy')}">
                                    </span>
                                </div>
                                <div class="col text-center">
                                    <span class="name" th:text="${transaction.from}"></span>
                                </div>
                                <div class="col text-center">
                                    <span class="name" th:text="${transaction.to}"></span>
                                </div>
                                <div class="col text-center">
                                    <span class="name" th:text="${transaction.type}"></span>
                                </div>
                                <div class="col text-center">
                                    <span class="payment-amaount" th:text="${transaction.amount}"></span>
                                    <span class="currency">BGN</span>
                                </div>
                                <div class="col text-center">
                                    <span class="payments-status text-warning" data-toggle="modal"
                                          data-target="#transaction-detail"><i class="fas fa-ellipsis-h"
                                                                               data-toggle="tooltip"
                                                                               data-original-title="Completed"></i></span>
                                </div>
                            </div>

                            <!-- Transaction Details Modal  -->
                            <div id="transaction-detail" class="modal fade" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered details-area" role="document">
                                    <div class="modal-content">
                                        <div class="modal-body">
                                            <div class="modal_header">
                                                <span class="status bg-success">Done</span>
                                                <div class="row">
                                                    <h5 class="transcation-heading" style="margin-left: auto; margin-right: auto">Transaction Details</h5>
                                                </div>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">×</span></button>
                                            </div>
                                            <div class="modal-content-area">
                                                <div class="transaction-area">
                                                    <div class="items">
                                                        <div class="row">
                                                    <span style="color: black; margin-left: auto; margin-right: auto"
                                                          th:text="'Category: ' + ${transaction.categoryName}">
                                                    </span>
                                                        </div>
                                                    </div>
                                                    <div class="items">
                                                        <div class="row">
                                                     <span style="color: black; margin-left: auto; margin-right: auto"
                                                           th:text="'Description: ' + ${transaction.description}">
                                                    </span>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Transaction Modal End -->
                        </div>

                    </div>
                    <!-- Transaction List End -->



                    <div class="text-center mt-3 py-4">
                        <a href="/transactions" class="btn btn-default">View Transactions History
                            <i class="fas fa-chevron-right"></i>
                        </a>
                    </div>
                </div>
                <!-- Recent Activity End -->
            </div>
            <!-- Middle Panel End -->
        </div>
    </div>
</div>
<!-- Content end -->

<!-- Footer start -->
<!--<footer class="footer">
    <div class="foo-btm">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="foo-navigation">
                        <ul>
                            <li><a href="#">Terms and Conditions</a></li>
                            <li><a href="#">Privacy & Policy</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="copyright">Copyright &copy; <a></a>2020</div>
                </div>
            </div>
        </div>
    </div>
</footer>-->
<!-- Footer end -->

<!-- Document Wrapper end -->

<!-- Script -->
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>

<script src="js/custom.js"></script>
<script src="js/scripts.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>

</body>

</html>